#import <Cocoa/Cocoa.h>
#import "SSYAlertCommon.h"

@interface SSLabelledEditableTextField : NSView < SSYHeightSizableToFit > {
	NSTextField* _labelField ;
	NSTextField* _editableField ;
	SEL _testSelector ;
	id _testArgument ;
	NSString* _errorMessage ;
}

/*
 prototypeTextField = a field from which some attributes such
 as font and initial size will be copied.  For proper sizing,
 this prototypeTextField should be not editable.
 test is a selector which will be applied when the user hits "OK".
 testArgument is an optional second argument to test selector
 errorMessage is a message which will be shown momentarily if test fails.
 */
- (id)initWithPrototypeTextField:(NSTextField*)prototypeTextField
						  secure:(BOOL)secure
					testSelector:(SEL)testSelector
					testArgument:(id)testArgument
					errorMessage:(NSString*)errorMessage ;
- (void)setLabel:(NSString*)label ;
- (void)setEditableText:(NSString*)editableText ;
- (NSString*)editableText ;
- (void)setEditable:(BOOL)editable ;
- (void)sizeHeightToFitAllowShrinking:(BOOL)allowShrinking ;
- (void)setTestSelector:(SEL)value;
- (void)setTestArgument:(id)value;
- (void)setErrorMessage:(NSString *)value;


@end

